# Create a support ticket

Create a support ticket for a Moov account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/tickets.write` scope.

If you're creating the ticket on behalf of another account, then you'll need to
specify the `/accounts/{partnerAccountID}/tickets.write` and `/accounts/{accountID}/profile.read` scopes.

## POST

/accounts/{accountID}/tickets

### Example Request in cURL

```shell
curl -X POST "https://api.moov.io/accounts/{accountID}/tickets" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{\n  "title": "string",\n  "body": "string",\n  "contact": {\n    "email": "string"\n  }\n}'
```

### Example Request in Go

```go
mc, _ := moov.NewClient()

var accountID string // customer

mc.CreateTicket(ctx, accountID, moov.CreateTicket{
  Title: "Help with problem",
  Body:  "Getting 400 error when using endpoint.",
  Contact: moov.TicketContact{
    Email: "melany.roberts@yahoo.com",
  },
})
```

### Example Request in TypeScript

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.createTicket({
    accountID: "4af4784a-c777-48f6-8211-063d5341f84b",
    createTicket: {
      title: "<value>",
      body: "<value>",
      contact: {
        email: "Melany.Roberts@yahoo.com",
      },
    },
  });

console.log(result);
}

run();
```

### Example Request in PHP

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
